NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.CAE.LaminateReportObjectBuilder Class Reference

Represents a Report Object Builder. More...

Inheritance diagram for NXOpen.CAE.LaminateReportObjectBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void GetSelectedPlyNames (out string[] selectedPlyNames)
 The option to get the selected plies More...
 
unsafe void SetSelectedGroups (NXOpen.NXObject[] selectedGroups)
 The option to set the selected groups More...
 
unsafe void SetSelectedPlyNames (string[] selectedPlies)
 The option to set the selected plies More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool GroupReference [get, set]
 Returns or sets the option to get/set the group reference value More...
 
unsafe int ReportObjLabel [get, set]
 Returns or sets the option to get/set the report object label More...
 
unsafe string ReportObjName [get, set]
 Returns or sets the option to get/set the report object name More...
 
unsafe bool SelectAllElements [get, set]
 Returns or sets the select all elements option More...
 
unsafe bool SelectAllPlies [get, set]
 Returns or sets the select all plies option More...
 
unsafe
NXOpen.CAE.SelectElementsBuilder 
SelectElements [get]
 Returns the option to get the selected element faces More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Report Object Builder.

To create a new instance of this class, use NXOpen.CAE.LaminateReportObjectCollection.CreateReportObjectBuilder

Created in NX1847.0.0

Member Function Documentation

unsafe void NXOpen.CAE.LaminateReportObjectBuilder.GetSelectedPlyNames ( out string[]  selectedPlyNames)
inline

The option to get the selected plies

Created in NX1847.0.0

License requirements: nx_lam_composites ("Laminate Composites")

Parameters
selectedPlyNames
unsafe void NXOpen.CAE.LaminateReportObjectBuilder.SetSelectedGroups ( NXOpen.NXObject[]  selectedGroups)
inline

The option to set the selected groups

Created in NX1847.0.0

License requirements: nx_lam_composites ("Laminate Composites")

Parameters
selectedGroups
unsafe void NXOpen.CAE.LaminateReportObjectBuilder.SetSelectedPlyNames ( string[]  selectedPlies)
inline

The option to set the selected plies

Created in NX1847.0.0

License requirements: nx_lam_composites ("Laminate Composites")

Parameters
selectedPlies

Property Documentation

unsafe bool NXOpen.CAE.LaminateReportObjectBuilder.GroupReference
getset

Returns or sets the option to get/set the group reference value

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe int NXOpen.CAE.LaminateReportObjectBuilder.ReportObjLabel
getset

Returns or sets the option to get/set the report object label

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe string NXOpen.CAE.LaminateReportObjectBuilder.ReportObjName
getset

Returns or sets the option to get/set the report object name

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe bool NXOpen.CAE.LaminateReportObjectBuilder.SelectAllElements
getset

Returns or sets the select all elements option

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe bool NXOpen.CAE.LaminateReportObjectBuilder.SelectAllPlies
getset

Returns or sets the select all plies option

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.CAE.SelectElementsBuilder NXOpen.CAE.LaminateReportObjectBuilder.SelectElements
get

Returns the option to get the selected element faces

Created in NX1847.0.0

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.